<ui:fragment xmlns="http://www.w3.org/1999/xhtml"
             xmlns:f="http://xmlns.jcp.org/jsf/core"
             xmlns:h="http://xmlns.jcp.org/jsf/html"
             xmlns:ui="http://xmlns.jcp.org/jsf/facelets"

             template="/layout/template.xhtml">


    <b:panel class="gzl-card-report" collapsible="false">
        <f:facet name="heading">
            <b:iconAwesome name="clock" solid="true" size="2x" style="padding-right:20px"/>
            <h:outputText value="Paramétrer la durée de vie des tokens"/>
        </f:facet>

        <h4 class="gzl-ml-1rem">Important : </h4>
        <ul>
            <li>Par default, la durée de vie des tokens est de 365 jours (durée maximum).</li>
            <li>Une fois que les tokens ont éxpirés, il n'est pas possible de les réutiliser.</li>
            <li>Chaque utilisateur devra générer à nouveau un token pour utiliser les services Gazelle.</li>
            <li>Après modification, seuls les futures tokens auront la durée de vie enregistrée ci-après.</li>
        </ul>
        <h5 class="black gzl-ml-1rem">La durée actuelle des tokens pour "#{getPrincipal.organizationKeyword}" est de <strong
                class="blue">#{adminBean.duration} jours</strong>.</h5>
        <h5 class="black gzl-ml-1rem">Pour modifier cette durée, entrez une nouvelle valeur puis cliquez sur "Modifier".</h5>

        <b:form styleClass="gzl-mt-3rem">
            <b:inputText id="duration" value="#{adminBean.duration}" required="true" type="number"
                         requiredMessage="La saisie du nombre de jours est obligatoire !">
                <b:focus rendered="true"/>
                <f:facet name="prepend">
                    <h:outputText value="Durée de validité d'un token"/>
                </f:facet>
                <f:facet name="append">
                    <h:commandButton styleClass="btn btn-primary" value="Modifier"/>
                </f:facet>
            </b:inputText>
        </b:form>
    </b:panel>
</ui:fragment>
